> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update deploy config



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /servers/{server_id}/deploy_config
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /servers/{server_id}/deploy_config:
    patch:
      tags:
        - Servers
      summary: Update deploy config
      operationId: update-server-deploy-config
      parameters:
        - name: server_id
          in: path
          description: The Server ID
          required: true
          examples:
            Success:
              value: sv_lkg1DeYLDvZE5
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - deploy_config
                attributes:
                  type: object
                  properties:
                    hostname:
                      type: string
                      nullable: true
                    operating_system:
                      type: string
                      enum:
                        - centos_7_4_x64
                        - centos_8_x64
                        - debian_10
                        - debian_11
                        - debian_12
                        - ipxe
                        - rhel8
                        - rockylinux_8
                        - ubuntu22_ml_in_a_box
                        - ubuntu24_ml_in_a_box
                        - ubuntu_20_04_x64_lts
                        - ubuntu_22_04_x64_lts
                        - ubuntu_24_04_x64_lts
                        - windows_2022_std
                        - windows_server_2019_std_v1
                      nullable: true
                    raid:
                      type: string
                      description: >-
                        RAID mode for the server. Set to 'raid-0' for RAID 0,
                        'raid-1' for RAID 1, or omit/null for no RAID
                        configuration
                      enum:
                        - raid-0
                        - raid-1
                      nullable: true
                    user_data:
                      type: string
                      description: User data to configure the server
                      nullable: true
                    ssh_keys:
                      type: array
                      nullable: true
                      items:
                        type: string
                    partitions:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          path:
                            type: string
                          size_in_gb:
                            type: integer
                          filesystem_type:
                            type: string
                    ipxe_url:
                      type: string
                      description: >-
                        URL where iPXE script is stored on, necessary for custom
                        image deployments. This attribute is required when
                        operating system iPXE is selected.
                      nullable: true
              required:
                - type
            examples:
              Success:
                summary: Success
                value:
                  data:
                    type: deploy_config
                    attributes:
                      ssh_keys:
                        - ssh_m5xyZOnNOWM0l
                      user_data: ud_5LA73qkjdaJ2o
                      raid: raid-1
                      operating_system: ubuntu_20_04_x64_lts
                      partitions:
                        - path: /
                          size_in_gb: 300
                          filesystem_type: ext4
                      hostname: my-hostname
          application/vnd.api+json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - deploy_config
                attributes:
                  type: object
                  properties:
                    hostname:
                      type: string
                      nullable: true
                    operating_system:
                      type: string
                      enum:
                        - centos_7_4_x64
                        - centos_8_x64
                        - debian_10
                        - debian_11
                        - debian_12
                        - ipxe
                        - rhel8
                        - rockylinux_8
                        - ubuntu22_ml_in_a_box
                        - ubuntu24_ml_in_a_box
                        - ubuntu_20_04_x64_lts
                        - ubuntu_22_04_x64_lts
                        - ubuntu_24_04_x64_lts
                        - windows_2022_std
                        - windows_server_2019_std_v1
                      nullable: true
                    raid:
                      type: string
                      description: >-
                        RAID mode for the server. Set to 'raid-0' for RAID 0,
                        'raid-1' for RAID 1, or omit/null for no RAID
                        configuration
                      enum:
                        - raid-0
                        - raid-1
                      nullable: true
                    user_data:
                      type: string
                      description: User data to configure the server
                      nullable: true
                    ssh_keys:
                      type: array
                      nullable: true
                      items:
                        type: string
                    partitions:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          path:
                            type: string
                          size_in_gb:
                            type: integer
                          filesystem_type:
                            type: string
                    ipxe_url:
                      type: string
                      description: >-
                        URL where iPXE script is stored on, necessary for custom
                        image deployments. This attribute is required when
                        operating system iPXE is selected.
                      nullable: true
              required:
                - type
            examples:
              Success:
                summary: Success
                value:
                  data:
                    type: deploy_config
                    attributes:
                      ssh_keys:
                        - ssh_m5xyZOnNOWM0l
                      user_data: ud_5LA73qkjdaJ2o
                      raid: raid-1
                      operating_system: ubuntu_20_04_x64_lts
                      partitions:
                        - path: /
                          size_in_gb: 300
                          filesystem_type: ext4
                      hostname: my-hostname
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: sv_lkg1DeYLDvZE5
                      type: deploy_config
                      attributes:
                        ssh_keys:
                          - ssh_m5xyZOnNOWM0l
                        user_data: ud_5LA73qkjdaJ2o
                        raid: raid-1
                        operating_system: ubuntu_20_04_x64_lts
                        hostname: my-hostname
                        ipxe_url: null
                        ipxe: null
                        partitions:
                          - path: /
                            size_in_gb: 300
                            filesystem_type: ext4
                    meta: {}
              schema:
                $ref: '#/components/schemas/deploy_config'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.servers.update_deploy_config(server_id="sv_lkg1DeYLDvZE5", type_=latitudesh_python_sdk.UpdateServerDeployConfigServersType.DEPLOY_CONFIG)

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Servers.UpdateDeployConfig(ctx, \"sv_lkg1DeYLDvZE5\", operations.UpdateServerDeployConfigServersRequestBody{\n        Type: operations.UpdateServerDeployConfigServersTypeDeployConfig,\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeployConfig != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.servers.updateDeployConfig({
                serverId: "sv_lkg1DeYLDvZE5",
                requestBody: {
                  type: "deploy_config",
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    deploy_config:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            attributes:
              type: object
              properties:
                operating_system:
                  type: string
                hostname:
                  type: string
                raid:
                  type: string
                user_data:
                  type: string
                ssh_keys:
                  type: array
                  items:
                    type: string
                partitions:
                  type: array
                  nullable: true
                  items:
                    type: object
                    properties:
                      path:
                        type: string
                      size_in_gb:
                        type: integer
                      filesystem_type:
                        type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````